Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Static Public Attributes

# WxAppShell Class Reference

Inheritance diagram for WxAppShell:

List of all members.

## Public Member Functions
def | __init__
def | appInit
| USER METHODS ### To be overridden.
def | createInterface
def | createMenuBar
def | onDestroy
def | quit
def | showAbout
## Public Attributes
| about
| menuBar
| menuFile
| menuHelp
## Static Public Attributes
string | appname = 'Generic Application Frame'
string | appversion = '1.0'
string | balloonState = 'none'
string | contactemail = 'Gyedo.Jeon@disney.com'
string | contactname = 'Gyedo Jeon'
tuple | copyright
int | frameHeight = 320
int | frameWidth = 450
int | padx = 5
int | pady = 5
int | panelCount = 0
int | usecommandarea = 0
int | usestatusarea = 0

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | args,
|  |  | kw
| ) |  |

## Member Function Documentation

def appInit | ( |  | self | ) |

USER METHODS ### To be overridden.

Reimplemented in WxPandaShell.

def createInterface | ( |  | self | ) |

Reimplemented in WxPandaShell.

def createMenuBar | ( |  | self | ) |

def onDestroy | ( |  | self,
|  |  | event
| ) |  |

def quit | ( |  | self,
|  |  | event = `None`
| ) |  |

def showAbout | ( |  | self,
|  |  | event
| ) |  |

## Member Data Documentation

about

string appname = 'Generic Application Frame'`[static]`

Reimplemented in WxPandaShell.

string appversion = '1.0'`[static]`

Reimplemented in WxPandaShell.

string balloonState = 'none'`[static]`

string contactemail = 'Gyedo.Jeon@disney.com'`[static]`

string contactname = 'Gyedo Jeon'`[static]`

tuple copyright`[static]`

Initial value:

    ('Copyright 2008 Walt Disney Internet Group.' +
                           '\nAll Rights Reserved.')

Reimplemented in WxPandaShell.

int frameHeight = 320`[static]`

Reimplemented in WxPandaShell.

int frameWidth = 450`[static]`

Reimplemented in WxPandaShell.

menuBar

menuFile

menuHelp

int padx = 5`[static]`

int pady = 5`[static]`

int panelCount = 0`[static]`

int usecommandarea = 0`[static]`

int usestatusarea = 0`[static]`

All Classes Namespaces Functions Variables Enumerations Enumerator Properties